## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           lcms2
Version:        2.16
Release:        %autorelease
Summary:        Color Management Engine
# part of src/cmssm.c is softsurf (no SPDX yet) see https://gitlab.com/fedora/legal/fedora-license-data/-/issues/469
# utils/samples/mkcmy.c is libtiff - but it is not used
# plugins/threaded/src/ is GPL-3.0-or-later
License:        MIT AND GPL-3.0-or-later
URL:            http://www.littlecms.com/
Source0:        http://www.littlecms.com/lcms2-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel
BuildRequires:  meson

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form. LCMS2 is the current version of LCMS, and can be
parallel installed with the original (deprecated) lcms.

%package        utils
Summary:        Utility applications for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    utils
The %{name}-utils package contains utility applications for %{name}.

%package        devel
Summary:        Development files for LittleCMS
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       littlecms-devel = %{version}-%{release}

%description    devel
Development files for LittleCMS.

%prep
%autosetup -p1

%build
%meson -Dutils=true
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc AUTHORS
%doc ChangeLog
%doc README*
%license LICENSE
%{_libdir}/liblcms2.so.2*

%files utils
%{_bindir}/*
%{_mandir}/man1/*

%files devel
%{_includedir}/lcms2*.h
%{_libdir}/liblcms2.so
%{_libdir}/pkgconfig/lcms2.pc

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Richard Hughes <richard@hughsie.com> - 2.16-2
- Actually upload new sources

* Mon Jan 22 2024 Richard Hughes <richard@hughsie.com> - 2.16-1
- New upstream version

* Mon Jan 22 2024 Miroslav Suchý <msuchy@redhat.com> - 2.15-3
- Migrate to SPDX license

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Mar 02 2023 Richard Hughes <richard@hughsie.com> - 2.15-1
- Update to 2.15 and switch buildsystem to meson

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 02 2022 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 2.14-1
- Update to 2.14 (#2139162)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Feb 16 2022 Rex Dieter <rdieter@gmail.com> - 2.13.1-1
- 2.13.1 (#2050365)

* Wed Feb 16 2022 Rex Dieter <rdieter@gmail.com> - 2.13-2
- %%doc ChangeLog (#2055122)

* Wed Feb 02 2022 Rex Dieter <rdieter@gmail.com> - 2.13-1
- 2.13 (#2038570)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Feb 08 2021 Richard Hughes <richard@hughsie.com> - 2.12-1
- Update to new upstream version

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 05 2021 Tom Stellard <tstellar@redhat.com> - 2.11-3
- Add BuildRequires: make

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 17 2020 Richard Hughes <richard@hughsie.com> - 2.11-1
- Update to new upstream version

* Wed Jun 03 2020 Richard Hughes <richard@hughsie.com> - 2.10-1
- Update to new upstream version

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Sep 18 2018 Rex Dieter <rdieter@gmail.com> - 2.9-6
- CVE-2018-16435 lcms2: heap-based buffer overflow in SetData function in
  cmsIT8LoadFromFile (#1628969) .spec cosmetics, use %%make_build
  %%make_install %%ldconfig_scriptlets

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Feb 19 2018 Richard Shaw <hobbes1069@gmail.com> - 2.9-4
- Update build requirements for gcc/gcc-c++ per https://fedoraproject.org/w
  iki/Packaging:C_and_C%%2B%%2B#BuildRequires_and_Requires

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Nov 20 2017 Rex Dieter <rdieter@gmail.com> - 2.9-2
- make check non-fatal (for now)

* Fri Nov 17 2017 Rex Dieter <rdieter@gmail.com> - 2.9-1
- lcms2-2.9 (#1512518), .spec cosmetics/modernization

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-5
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 17 2016 Rex Dieter <rdieter@math.unl.edu> - 2.8-2
- lcms2: Out-of-bounds read in Type_MLU_Read() (#1367357)

* Mon Jul 25 2016 Richard Hughes <richard@hughsie.com> - 2.8-1
- Update to new upstream version

* Wed Mar 09 2016 Rex Dieter <rdieter@math.unl.edu> - 2.7-7
- 2.7-4
- %%files: less globs, use %%license
- tighten subpkg deps
- -devel: use %%doc
- use %%version in Source URL
- simplify %%setup
- %%check: make check

* Wed Mar 09 2016 Rex Dieter <rdieter@math.unl.edu> - 2.7-6
- minor el5 compat fixes

* Thu Feb 04 2016 Dennis Gilmore <dennis@ausil.us> - 2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar 22 2015 Richard Hughes <richard@hughsie.com> - 2.7-3
- Update to new upstream version

* Tue Mar 17 2015 Richard Hughes <richard@hughsie.com> - 2.7-2
- Update to new upstream RC version

* Thu Feb 05 2015 Richard Hughes <richard@hughsie.com> - 2.7-1
- Update to new upstream version

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 2.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 21 2014 Brent Baude <baude@us.ibm.com> - 2.6-4
- Correct assumption about ppc64 endianess

* Mon Mar 17 2014 Richard Hughes <richard@hughsie.com> - 2.6-3
- Update to new upstream version

* Wed Feb 19 2014 Richard Hughes <richard@hughsie.com> - 2.6-2
- Update to new prerelease upstream version

* Fri Feb 14 2014 Richard Hughes <richard@hughsie.com> - 2.6-1
- Update to new prerelease upstream version

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 01 2013 Richard Hughes <richard@hughsie.com> - 2.5-4
- trivial: Use correct tarball...

* Mon Jul 01 2013 Richard Hughes <richard@hughsie.com> - 2.5-3
- Update to new upstream version

* Thu Jun 27 2013 Richard Hughes <richard@hughsie.com> - 2.5-2
- Update to new release candidate version

* Thu May 30 2013 Richard Hughes <richard@hughsie.com> - 2.5-1
- Update to new release candidate version.

* Fri May 03 2013 Richard Hughes <richard@hughsie.com> - 2.4-7
- Make the -utils subpackage depend on the main package

* Thu Apr 25 2013 Tim Waugh <twaugh@redhat.com> - 2.4-6
- Applied upstream fixes for threading (bug #951984).

* Thu Mar 07 2013 Tim Waugh <twaugh@redhat.com> - 2.4-5
- Added upstream fix for threading issue with plugin registration (bug
  #912307).

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac@redhat.com> - 2.4-3
- Rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <vonsch@gmail.com> - 2.4-2
- rebuild against new libjpeg

* Sun Sep 16 2012 Richard Hughes <richard@hughsie.com> - 2.4-1
- Update to new upstream version.
- Black point detection from the algorithm disclosed by Adobe
- Added support for transforms on planar data with different stride
- Added a new plug-in type for optimizing full transforms
- Linear (gamma 1.0) profiles can now operate in unbounded mode
- Added "half" float support

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 16 2011 Richard Hughes <richard@hughsie.com> - 2.3-1
- Update to new upstream version which incorporates many bugfixes.

* Fri Jun 10 2011 Richard Hughes <richard@hughsie.com> - 2.2-2
- Actually update the sources...

* Fri Jun 10 2011 Richard Hughes <richard@hughsie.com> - 2.2-1
- Update to new upstream version Stability and efficienty fixes Adds
  support for dictionary metatag

* Tue Feb 08 2011 Dennis Gilmore <dennis@ausil.us> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 01 2010 Richard Hughes <richard@hughsie.com> - 2.1-1
- Update to new upstream version.

* Wed Jul 28 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0a-2
- dist-git conversion

* Mon Jun 21 2010 Richard Hughes <rhughes@fedoraproject.org> - 2.0a-1
- *** empty log message ***
## END: Generated by rpmautospec
